package com.chenyang.nse.bussiness.dao.table.core.file;

import javax.validation.constraints.Size;

public class FileStructureGroupParam {
   @Size(
      max = 50
   )
   private String groupid;
   @Size(
      max = 50
   )
   private String groupname;

   public String getGroupid() {
      return this.groupid;
   }

   public String getGroupname() {
      return this.groupname;
   }

   public void setGroupid(final String groupid) {
      this.groupid = groupid;
   }

   public void setGroupname(final String groupname) {
      this.groupname = groupname;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FileStructureGroupParam)) {
         return false;
      } else {
         FileStructureGroupParam other = (FileStructureGroupParam)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$groupid = this.getGroupid();
            Object other$groupid = other.getGroupid();
            if (this$groupid == null) {
               if (other$groupid != null) {
                  return false;
               }
            } else if (!this$groupid.equals(other$groupid)) {
               return false;
            }

            Object this$groupname = this.getGroupname();
            Object other$groupname = other.getGroupname();
            if (this$groupname == null) {
               if (other$groupname != null) {
                  return false;
               }
            } else if (!this$groupname.equals(other$groupname)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof FileStructureGroupParam;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $groupid = this.getGroupid();
      result = result * 59 + ($groupid == null ? 43 : $groupid.hashCode());
      Object $groupname = this.getGroupname();
      result = result * 59 + ($groupname == null ? 43 : $groupname.hashCode());
      return result;
   }

   public String toString() {
      return "FileStructureGroupParam(groupid=" + this.getGroupid() + ", groupname=" + this.getGroupname() + ")";
   }
}
